summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2020-01-26 13:16:17 -0500
committerMike Gilbert <floppym@gentoo.org>2020-01-26 13:18:24 -0500
commit796cc406d828dae78346be8a470071bb3039809e (patch)
tree585b7a16e14cf71558d1c86f1cae7c741e83fdad /dev-lua
parentsys-process/gnome-usage: Fix LICENSE, HOMEPAGE and VALA_MIN_API_VERSION (diff)
downloadgentoo-796cc406d828dae78346be8a470071bb3039809e.tar.gz
gentoo-796cc406d828dae78346be8a470071bb3039809e.tar.bz2
gentoo-796cc406d828dae78346be8a470071bb3039809e.zip
dev-lua/lutok: bump to EAPI 7
Also install both shared and static libs. Package-Manager: Portage-2.3.85_p2, Repoman-2.3.20_p36 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'dev-lua')
-rw-r--r--dev-lua/lutok/lutok-0.4-r2.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/dev-lua/lutok/lutok-0.4-r2.ebuild b/dev-lua/lutok/lutok-0.4-r2.ebuild
new file mode 100644
index 00000000000..e658241e6ac
--- /dev/null
+++ b/dev-lua/lutok/lutok-0.4-r2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Lightweight C++ API library for Lua"
+HOMEPAGE="https://github.com/jmmv/lutok"
+SRC_URI="https://github.com/jmmv/lutok/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-lang/lua:0
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? (
+ dev-libs/atf
+ dev-util/kyua
+ )
+"
+
+src_install() {
+ default
+ rm -rf "${ED}"/usr/tests || die
+ find "${ED}" -name '*.la' -type f -delete || die
+}